install 'jmvtools' in R

General help and assistance with jamovi. Bug reports can be made at our issues page: https://github.com/jamovi/jamovi/issues . (If you're unsure feel free to discuss it here)

by seol » Wed Jan 08, 2020 8:37 am

Hello?

i am trying to install 'jmvtools' in R. but , I got the following error message in R

How can I fix it?

Best Regards

Seol
Attachments
1.png
1.png (84.07 KiB) Viewed 105 times
seol
 
Posts: 18
Joined: Mon Dec 04, 2017 8:40 am

by jonathon » Wed Jan 08, 2020 8:52 am

hi,

jmvtools *is* installed, but your package/module is missing a DESCRIPTION file.

if you want to create a new module, you can use the jmvtools::create() function. see dev.jamovi.org for more details.

cheers

jonathon
User avatar
jonathon
 
Posts: 1024
Joined: Fri Jan 27, 2017 10:04 am

by seol » Wed Jan 08, 2020 12:03 pm

Thanks for your kind reply

What I trying to do is to install "jAMM" module in R. However, The error happened in the following line:

jmvtools::install(pkg=pkg)

How can I deal with this problem?

Cheers

Seol
Attachments
2.png
2.png (143.89 KiB) Viewed 91 times
1.png
1.png (39.84 KiB) Viewed 91 times
seol
 
Posts: 18
Joined: Mon Dec 04, 2017 8:40 am

by jonathon » Wed Jan 08, 2020 9:36 pm

hi,

it might help if you explain what you're trying to do. if you just want to install jAMM into R, then devtools::install_github() is all you need to do, and you don't need to use jmvtools. jmvtools is only for when you're wanting to develop/build a module.

cheers
User avatar
jonathon
 
Posts: 1024
Joined: Fri Jan 27, 2017 10:04 am

by mcfanda@gmail.com » Thu Jan 09, 2020 12:17 pm

Dear seol

The R version of jAMM is still a bit buggy, so I have to fix different issues here. I'll try to come out with a new version very soon that would solve all the related issues.
mcfanda@gmail.com
 
Posts: 163
Joined: Thu Mar 23, 2017 9:24 pm


Return to Help

cron